Zum Hauptinhalt springen

Textübersetzungs-API

Übersetzen Sie Text mit der GPT Translator-API.

Endpunkt​

POST https://api.gpttranslator.co/v1/translation/text-translation/api

Authentifizierung​

Fügen Sie Ihren API-Schlüssel den Anfrageheadern hinzu:

x-api-key: YOUR_API_KEY
Content-Type: application/json

Anfrageinhalt​

Erforderliche Felder:

  • text string: Zu übersetzender Ausgangstext
  • sourceLang string: Sprachcode der Quelle
  • targetLang string: Sprachcode des Ziels
  • model string: Name des Übersetzungsmodells

Optionale Felder:

  • domain string: Fachspezialisierung
  • writingStyle string: Bevorzugter Schreibstil
  • tone string: Bevorzugter Ton
  • customPrompt string: Individuelle Übersetzungsanweisungen

Sprachcodes sind separat dokumentiert unter Unterstützte Sprachen. Unterstützte Modelle sind dokumentiert unter Unterstützte Modelle.

Validierungsregeln​

  • text: Erforderlich. Darf nicht leer sein.
  • sourceLang, targetLang: Muss übereinstimmen mit ^[a-zA-Z]+(-[a-zA-Z]+)?$, mindestens 2 und höchstens 11 Zeichen. Muss ein Code aus Unterstützte Sprachen.
  • model: Muss einem der Werte aus entsprechen Unterstützte Modelle.

Beispiele​

cURL​

curl --location 'https://api.gpttranslator.co/v1/translation/text-translation/api' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"text": "hello world",
"sourceLang": "en",
"targetLang": "fr",
"model": "gpt-4.1-mini-2025-04-14"
}'

JavaScript​

const response = await fetch(
"https://api.gpttranslator.co/v1/translation/text-translation/api",
{
method: "POST",
headers: {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
text: "hello world",
sourceLang: "en",
targetLang: "fr",
model: "gpt-4.1-mini-2025-04-14",
}),
},
);

const data = await response.json();
console.log(data);

Python​

import requests

url = "https://api.gpttranslator.co/v1/translation/text-translation/api"
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
payload = {
"text": "hello world",
"sourceLang": "en",
"targetLang": "fr",
"model": "gpt-4.1-mini-2025-04-14"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())

Antworttypen​

Erfolg 200​

{
"message": "Text translation completed successfully",
"error": null,
"data": {
"translatedText": "bonjour le monde",
"originalText": "hello world",
"totalWords": 2,
"isRTL": false,
"tokensConsumed": 3
},
"statusCode": 200
}

Anfragevalidierungsfehler 400​

Fehler der Validierungs-Middleware werden in diesem Format zurückgegeben:

{
"error": "Invalid source language. Please select a supported language."
}

Weitere mögliche Validierungsfehler:

  • Invalid target language. Please select a supported language.
  • Invalid model type. Please enter a valid model type e.g. ...
  • Text cannot be empty.
  • Text is required.

API-Schlüssel-Header fehlt oder ist ungültig 401​

{
"message": "Invalid api key",
"error": "Invalid api key",
"statusCode": 401,
"data": null
}

Einrichtungsfehler für API-Schlüssel oder Benutzer 400​

Ungültiger Schlüssel in der Datenbank:

{
"message": "Invalid api key",
"error": "Invalid api key",
"statusCode": 400,
"data": null
}

Benutzer nicht aktiv:

{
"message": "User not found or user is not active",
"error": "User not found or user is not active",
"statusCode": 400,
"data": null
}

Organisation fehlt:

{
"message": "Organization Id not found for the user",
"error": "Organization Id not found for the user",
"statusCode": 400,
"data": null
}

Tarifeinschränkung 402​

{
"message": "only subscribed users are allowed to use this model",
"error": "only subscribed users are allowed to use this model",
"data": null,
"statusCode": 402
}

Tokenlimit erreicht 402​

{
"message": "You have reached the limit of words for translation. Please upgrade your plan to continue using this feature.",
"error": "You have reached the limit of words for translation. Please upgrade your plan to continue using this feature.",
"data": {
"requiredTokens": 123,
"tokens": 45
},
"statusCode": 402
}

Verarbeitungs-/Serverfehler 500​

{
"message": "Error in text translation for api",
"error": "Detailed server error message",
"data": null,
"statusCode": 500
}